Name:           gnome-terminal
Version:        3.38.3
Release:        1
Summary:        A terminal emulator for GNOME
License:        GPLv3+ and GFDL and LGPLv2+
URL:            http://www.gnome.org/
Source0:        http://download.gnome.org/sources/gnome-terminal/3.38/gnome-terminal-%{version}.tar.xz

Patch0000:      gnome-terminal-cntr-ntfy-autottl-ts.patch
Patch0001:      0001-build-Don-t-treat-warnings-as-errors.patch

BuildRequires:  glib2-devel gtk3-devel gsettings-desktop-schemas-devel
BuildRequires:  desktop-file-utils gettext-devel autoconf automake
BuildRequires:  systemd libtool itstool dconf-devel libuuid-devel nautilus-devel
BuildRequires:  gnome-shell pcre2-devel  vala-devel vte291-devel
BuildRequires:  docbook-style-xsl libxslt yelp-tools

Requires:       dbus dbus-x11 glib2%{?_isa} gsettings-desktop-schemas gtk3%{?_isa} vte291%{?_isa}

Provides:       %{name}-nautilus nautilus-open-terminal
Obsoletes:      %{name}-nautilus nautilus-open-terminal

%description
This package provides a terminal emulator application for GNOME.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -f -i
%configure \
    --disable-silent-rules \
    --disable-static \
    --enable-debug \
    --with-gtk=3.0 \
    --with-nautilus-extension
%make_build

%install
%make_install

%delete_la

%find_lang %{name} --with-gnome

%check
make check

%pre

%preun

%post

%postun

%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING AUTHORS
%doc NEWS
%{_bindir}/gnome-terminal
%{_datadir}/metainfo/org.gnome.Terminal.appdata.xml
%{_datadir}/applications/org.gnome.Terminal.desktop
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_datadir}/gnome-shell
%{_datadir}/metainfo/org.gnome.Terminal.Nautilus.metainfo.xml
%{_libexecdir}/gnome-terminal-server
%{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.so
%{_userunitdir}/gnome-terminal-server.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Terminal.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Terminal-symbolic.svg
%{_datadir}/man/man1/gnome-terminal.1*

%changelog
* Mon Jun 21 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.3-1
- Upgrade to 3.38.3

* Tue Dec 22 2020 huanghaitao <huanghaitao8@huawei.com> - 3.37.90-1
- Update to 3.37.90

* Mon Nov 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.30.1-3
- Package init
